Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.MediaPlayer Class Reference
Inheritance diagram for FoxitPDFSDKPython2.MediaPlayer:

## Public Member Functions
def | MediaPlayer (other)
| Constructor, with another media player object. More...
def | GetDict ()
| Get the PDF dictionary of current object. More...
def | GetOSIdentifiers ()
| Get the string array that represents operating system identifiers. More...
def | GetSoftwareURI ()
| Get software URI that identifies a piece of software. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SetOSIdentifiers (identifier_array)
| Set the string array that represents operating system identifiers. More...
def | SetSoftwareURI (uri)
| Get software URI that identifies a piece of software. More...

## Detailed Description

Class MediaPlayer provides methods to access to information regarding a specific media player.

## Constructor & Destructor Documentation

## ◆ MediaPlayer()

def FoxitPDFSDKPython2.MediaPlayer.MediaPlayer | ( |  | other | ) |

Constructor, with another media player object.

Parameters

  [in] | other | Another media player object.

## Member Function Documentation

## ◆ GetDict()

def FoxitPDFSDKPython2.MediaPlayer.GetDict | ( |  | ) |

Get the PDF dictionary of current object.

Returns
  PDF dictionary of current object. If there is any error, this function will return null.

## ◆ GetOSIdentifiers()

def FoxitPDFSDKPython2.MediaPlayer.GetOSIdentifiers | ( |  | ) |

Get the string array that represents operating system identifiers.

Operating system identifiers in this array indicate which operating systems this object applies to. The defined values are the same as those defined for SMIL 2.0's systemOperatingSystem attribute. There may not be multiple copies of the same identifier in the array.

Returns
  A string array that represents operating system identifiers. An empty array is considered to represent all operating systems.

## ◆ GetSoftwareURI()

def FoxitPDFSDKPython2.MediaPlayer.GetSoftwareURI | ( |  | ) |

Get software URI that identifies a piece of software.

For more details, please refer to <PDF reference 1.7> P780 "Software URIs".

Returns
  Software URI.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.MediaPlayer.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetOSIdentifiers()

def FoxitPDFSDKPython2.MediaPlayer.SetOSIdentifiers | ( |  | identifier_array | ) |

Set the string array that represents operating system identifiers.

Operating system identifiers in this array indicate which operating systems this object applies to. The defined values are the same as those defined for SMIL 2.0's systemOperatingSystem attribute. There may not be multiple copies of the same identifier in the array.

Parameters

  [in] | identifier_array | A string array that represents operating system identifiers. An empty array is considered to represent all operating systems.

Returns
  None.

## ◆ SetSoftwareURI()

def FoxitPDFSDKPython2.MediaPlayer.SetSoftwareURI | ( |  | uri | ) |

Get software URI that identifies a piece of software.

This property is necessary for a media player object. For more details, please refer to <PDF reference 1.7> P780 "Software URIs".

Parameters

  [in] | uri | Software URI. It should not be an empty string.

Returns
  None.